.. GHC User's Guide documentation master file, created by


Welcome to the GHC User's Guide
===============================

Contents:

.. toctree::
   :maxdepth: 4
   :numbered:

   license
   intro
   8.4.1-notes
   ghci
   runghc
   usage
   profiling
   sooner
   lang
   ffi-chap
   extending_ghc
   gone_wrong
   debug-info
   utils
   win32-dlls
   bugs
   eventlog-formats
   editing-guide


Indices and tables
==================

* :ref:`genindex`
* :ref:`search`

